JPackage Home

Recent JPackage RPMs


JPackage Project


"I installed the RPM, dropped my .war file in the deploy directory, and it works ;)"

Number of (S)RPMs available: 5069

[more search options]

The information on this page is for bouncycastle-1.46-4.jpp6.src.rpm, a source rpm; you are probably more interested in these binaries built from it:

Package Summary H B S
bouncycastle-1.46-4.jpp6
(2012-10-31 22:58, noarch)
Bouncy Castle Crypto Package for Java bouncycastle homepage Download bouncycastle-1.46-4.jpp6.noarch.rpm Download bouncycastle-1.46-4.jpp6.src.rpm
bouncycastle-javadoc-1.46-4.jpp6
(2012-10-31 22:58, noarch)
Javadoc for bouncycastle bouncycastle-javadoc homepage Download bouncycastle-javadoc-1.46-4.jpp6.noarch.rpm Download bouncycastle-1.46-4.jpp6.src.rpm


RPM Information for bouncycastle-1.46-4.jpp6.src.rpm

Name: bouncycastleDistribution: JPackage
Version: 1.46Vendor: JPackage Project
Release: 4.jpp6Build date: Wed Oct 31 22:56:57 2012
Epoch: 0Build host: flat.netmindz.net
Group: Security/CryptographyRPM file: bouncycastle-1.46-4.jpp6.src.rpm
Size: 32502243Source RPM: (none)
Section: freeLicense: BSD
Packager: Will Tatam <will.tatam at red61.com>
URL: http://www.bouncycastle.org/java.html
Summary: Bouncy Castle Crypto Package for Java
The Bouncy Castle Crypto APIs for Java consist of the following:

* A lightweight cryptography API for Java.

* A provider for the Java Cryptography Extension and the Java Cryptography
Architecture.

* A clean room implementation of the JCE 1.2.1.

* A library for reading and writing encoded ASN.1 objects.

* A light weight client-side TLS API.

* Generators for Version 1 and Version 3 X.509 certificates, Version 2
CRLs, and PKCS12 files.

* Generators for Version 2 X.509 attribute certificates.

* Generators/Processors for S/MIME and CMS (PKCS7/RFC 3852).

* Generators/Processors for OCSP (RFC 2560).

* Generators/Processors for TSP (RFC 3161).

* Generators/Processors for OpenPGP (RFC 2440).

* A signed jar version suitable for JDK 1.5 and the Sun JCE.



The lightweight API works with everything from the J2ME to the JDK 1.6.

Change Log for bouncycastle-1.46-4.jpp6.src.rpm

* Wed Oct 31 2012 Will Tatam <will.tatam at red61.com> 1.46-4
- Auto rebuild for JPackage 6 in centos5 mock

* Fri May 13 2011 David Walluck <dwalluck at redhat.com> 0:1.46-3
- set -Dbuild.sysclasspath=first
- set LC_ALL=en_US.UTF-8
- make archivever macro global

* Fri May 13 2011 David Walluck <dwalluck at redhat.com> 0:1.46-2
- remove GCJ support
- add Requires: jpackage-utils to main and javadoc packages

* Fri May 13 2011 David Walluck <dwalluck at redhat.com> 0:1.46-1
- 1.46

* Thu Sep 23 2010 David Walluck <dwalluck at redhat.com> 0:1.45-3
- use generic API (Build)Requires

* Thu Sep 23 2010 David Walluck <dwalluck at redhat.com> 0:1.45-2
- Provide/Obsoletes bouncycastle-extras

* Mon May 24 2010 David Walluck <dwalluck at redhat.com> 0:1.45-1
- 1.45

* Mon Apr 20 2009 David Walluck <dwalluck at redhat.com> 0:1.43-1
- 1.43

* Fri Mar 20 2009 David Walluck <dwalluck at redhat.com> 0:1.42-3
- package using the upstream signed jars by default

* Tue Mar 17 2009 David Walluck <dwalluck at redhat.com> 0:1.42-2
- add support for upstream-signed jar
- update URL and description

* Mon Mar 16 2009 David Walluck <dwalluck at redhat.com> 0:1.42-1
- 1.42
- add support for jdk5

* Mon Dec 08 2008 Will Tatam <will.tatam at red61.com> 0:1.41-2
- Auto rebuild for JPackage 5 in mock

* Thu Nov 13 2008 David Walluck <dwalluck at redhat.com> 0:1.41-1
- 1.41
- require javamail 1.4

* Thu Nov 01 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-5jpp
- Bump release

* Wed Oct 31 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-4jpp
- Explicitly Require bouncycastle-jdk1.5 in main package

* Tue Oct 30 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-3jpp
- Build jdk1.4 thru jdk1.6 packages for JPP-5.0

* Tue Oct 30 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-2jpp
- Build jdk1.4 packages for JPP-1.7

* Wed Jul 11 2007 Ralph Apel <r.apel at r-apel.de> 0:1.37-1jpp
- Upgrade to 1.37
- Add bctsp
- Add more original (i.e. signed) jars
- Require java, java-devel < 1.6.0

* Mon Feb 21 2005 David Walluck <david at jpackage.org> 0:1.27-1jpp
- 1.27
- "fix" requires-on-release
- change license to BSD (style)
- fix duplicate requires

* Thu Jan 20 2005 David Walluck <david at jpackage.org> 0:1.26-1jpp
- 1.26

* Sat Oct 09 2004 David Walluck <david at jpackage.org> 0:1.25-1jpp
- 1.25
- jdk 1.3.x support out, jdk 1.5.0 support in

* Sun Feb 08 2004 David Walluck <david at anti-microsoft.org> 0:1.25-1jpp
- 1.25
- fix javadocs and javadoc dirs
- clean up BuildRequires/Requires
- CLASSPATH doesn't need jce

* Tue Jan 20 2004 David Walluck <david at anti-microsoft.org> 0:1.21-1jpp
- 1.21

* Fri Oct 10 2003 David Walluck <david at anti-microsoft.org> 0:1.20-2jpp
- fix javadoc symlinks

* Fri Oct 10 2003 David Walluck <david at anti-microsoft.org> 0:1.20-1jpp
- 1.20
- add epochs
- %ghost symlinks
- maybe bouncycastle should consider using ant so that it
doesn't take over three hours to script the build process
- oh, and maybe a single source archive, thanks

* Tue Sep 09 2003 David Walluck <david at anti-microsoft.org> 0:1.19-2jpp
- build bcmail.jar for jdk1.4 package
- add Epoch
- Requires: jpackage-utils >= 0:1.5

* Fri Jun 27 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.19-1jpp
- First jpackage 1.5 release
- use upstream 1.4 binary due to Sun braindamage

* Sun Sep 08 2002 Ville Skyttä <ville.skytta at iki.fi> 1.15-1jpp
- First JPackage release.


(the display of the changelog may be truncated if it is too long)

Valid XHTML 1.0! Valid CSS!
Copyleft 2002-2007 JPackage Project [(webmaster)]
$Id: rpm.php,v 1.3 2003/11/27 16:09:02 guillomovitch Exp $